#include <stdio.h>

#include "image32.h"
#include "vec2i.h"
#include "window.h"
#include <png.h>

#include <skunkworks.h>

struct sw_window *win;

void tick();

int main(int argc, char *argv[]) {
	struct sw_image32 *img;

	(void)argc;
	(void)argv;

	sw_init();
	win = sw_window_create(sw_vec2i(640, 480), "Skunkworks");
	img = sw_image32_load_png("d:/art/pfp.png");
	sw_debug("%08X", sw_image32_get(img, sw_vec2i(10, 10)));
	sw_window_run(win, tick);

	return 0;
}

void tick() {
}
